<div class="example-container mat-elevation-z8">
  <div class="example-loading-shade"
       *ngIf="isLoadingResults || isRateLimitReached">
    <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
    <div class="example-rate-limit-reached" *ngIf="isRateLimitReached">
      Inserire una o più parole di ricerca
    </div>
  </div>

  <div class="example-table-container">
    <mat-form-field>
      <mat-label>Filter</mat-label>
        <input matInput [(ngModel)]="keySearch" (keydown.enter)="applyFilter(keySearch)"  placeholder="categoria">
        <!-- #keySearch -->
    </mat-form-field>
    <table mat-table [dataSource]="data" class="example-table"
           matSort matSortActive="created" matSortDisableClear matSortDirection="desc">
           <!-- 'id','created_at','description','regular' -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef>id</th>
        <td mat-cell *matCellDef="let row">{{row.id}}</td>
      </ng-container>

      <!-- Title Column -->
      <ng-container matColumnDef="created_at">
        <th mat-header-cell *matHeaderCellDef mat-sort-header >created_at</th>
        <td mat-cell *matCellDef="let row">{{row.created_at | date}}</td>
      </ng-container>

      <!-- State Column -->
      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef>Descrizione</th>
        <td mat-cell *matCellDef="let row">{{row.description}}</td>
      </ng-container>


      <ng-container matColumnDef="regular">
        <th mat-header-cell *matHeaderCellDef >
          Foto
        </th>
        <td mat-cell *matCellDef="let row">
          <a [href]=row.urls.regular target="_blank">
            <img [src]=row.urls.regular>
          </a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>

  <!-- <mat-paginator [length]="resultsLength" [pageSize]="5"></mat-paginator> -->
  <mat-paginator [length]="resultsLength"   [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>

</div>



